Support » Installing WordPress » Errors during 2.6 upgrade

  • I tried a manual upgrade of my blog to 2.6, and now it’s broken. School20.siglersite.com now displays

    Warning: wp_update_plugins(/home/sigle3/public_html/school20/wp-admin/includes/plugin.php) [function.wp-update-plugins]: failed to open stream: No such file or directory in /home/sigle3/public_html/school20/wp-includes/update.php on line 101

    Fatal error: wp_update_plugins() [function.require]: Failed opening required ‘/home/sigle3/public_html/school20/wp-admin/includes/plugin.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/sigle3/public_html/school20/wp-includes/update.php on line 101

    When I ran wp-admin/upgrade.php I got

    Warning: main(../wp-load.php) [function.main]: failed to open stream: No such file or directory in /home/sigle3/public_html/school20/wp-admin/upgrade.php on line 4

    Warning: main(../wp-load.php) [function.main]: failed to open stream: No such file or directory in /home/sigle3/public_html/school20/wp-admin/upgrade.php on line 4

    Warning: main(../wp-load.php) [function.main]: failed to open stream: No such file or directory in /home/sigle3/public_html/school20/wp-admin/upgrade.php on line 4

    Fatal error: main() [function.require]: Failed opening required ‘../wp-load.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/sigle3/public_html/school20/wp-admin/upgrade.php on line 4

    I have replaced the wp-admin and wp-includes folders 3 times. I also deleted the files in the root folder one-by-one and replaced them with the root files in the wordpress folder.

    I save a backup before I tried an upgrade, but I’m not sure how to restore it.

    I would really like some help getting my blog running again.

    Thanks,
    James

Viewing 3 replies - 1 through 3 (of 3 total)
  • The second error clearly says you don’t have the wp-load.php file in the root folder of WP.

    Yes, I saw that, too.

    There is not a wp-load.php file in the root folder, and it did not come with the upgrade. Where do I get a wp-load.php file?

    There is a wp-load.php file in the root folder. Perhaps you should download 2.6 again?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Errors during 2.6 upgrade’ is closed to new replies.